Bug 444711 - popup menu overlaps to the panel
popup menu overlaps to the panel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 03:55 EDT by Akira TAGOH
Modified: 2009-01-29 02:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 02:55:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix it. (2.88 KB, patch)
2008-07-17 04:51 EDT, Peng Huang
no flags Details | Diff
patch without the global variable (3.05 KB, patch)
2008-07-17 05:27 EDT, Akira TAGOH
no flags Details | Diff

  None (edit)
Description Akira TAGOH 2008-04-30 03:55:48 EDT
Description of problem:
When the systray is sitting down at the top panel, the popup menu appearing by
clicking the mouse button is put at where you clicked. but others are aligned to
the panel and doesn't overlap. this behavior sometimes mistakenly hits the item
unintentionally.

Version-Release number of selected component (if applicable):
scim-1.4.7-21.fc9
Comment 1 Bug Zapper 2008-05-14 06:25:12 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Akira TAGOH 2008-07-16 22:30:51 EDT
Easier way to accomplish this would be to use GtkStatusIcon instead of using the
code based on eggtrayicon.
Comment 3 Peng Huang 2008-07-17 02:13:00 EDT
SCIM panel popup the menu is in panel_agent's slot. It can not get the location
information easily. It needs a lot of modification. And consider the severity is
low, so I suggest wontfix.
Comment 4 Peng Huang 2008-07-17 04:51:43 EDT
Created attachment 312015 [details]
patch to fix it.

This patch fixes this problem via adding several global variables.
Comment 5 Peng Huang 2008-07-17 05:10:55 EDT
Fixed in scim-1_4_7-28_fc10
Comment 6 Akira TAGOH 2008-07-17 05:27:42 EDT
Created attachment 312020 [details]
patch without the global variable

(In reply to comment #4)
> Created an attachment (id=312015) [edit]
> patch to fix it.
> 
> This patch fixes this problem via adding several global variables. 

If you don't want to use the global variables - I haven't tested this but
should works.
Comment 7 Jens Petersen 2008-07-23 04:11:08 EDT
Thanks!  28.fc10 looks good. :-)

You may still want to consider Tagoh's suggestion.
Comment 8 Tony Fu 2008-09-09 23:17:41 EDT
requested by Jens Petersen (#27995)
Comment 9 Jens Petersen 2008-12-01 19:46:04 EST
Huang Peng, do you want to update the patch to comment 6?
Comment 10 Peng Huang 2008-12-01 23:11:24 EST
I think both it and mine are OK. But I did not have time to test Tagoh's patch.

Note You need to log in before you can comment on or make changes to this bug.